%macro csbmva_edit_model_wrapper(m_action_cd  = ,
				        		 m_purpose_sk = ,
                        		 m_key_sk     = );


*===============================================================================;
* Updating the fields derived from model_master in model_master_extension table ;
*===============================================================================;
%local model_id model_short_nm model_desc last_registered_model_nm offset_rt factor_rt cut_off_value
		 level_sk cr_mitigant_adjusted_flg created_by_user;

 	PROC SQL noprint;
		select strip(model_id) ,strip(model_short_nm),strip(model_desc) ,strip(last_registered_model_nm),offset_rt,
				 factor_rt,cut_off_value,level_sk ,strip(cr_mitigant_adjusted_flg),strip(created_by_user)
				 into :model_id, :model_short_nm, :model_desc, :last_registered_model_nm, :offset_rt,
				 :factor_rt, :cut_off_value, :level_sk,
				 :cr_mitigant_adjusted_flg , :created_by_user				
		from  &dabt_lib..model_master 
		where model_sk=&m_key_sk;		
 	QUIT;
  PROC SQL NOPRINT;
	  update &dabt_lib..MODEL_MASTER_EXTENSION 
	  set MODEL_ID = "%sysfunc(trim(&model_id))",
	      MODEL_NM = (select kstrip(mm.model_short_nm) from &dabt_lib..model_master mm where mm.model_sk=&m_key_sk),
	      MODEL_DESC=(select kstrip(mm.model_desc) from &dabt_lib..model_master mm where mm.model_sk=&m_key_sk),
         MODEL_REGISTERED_NM="%sysfunc(trim(&last_registered_model_nm ))",
	      OFFSET_RT=&offset_rt ,
	      FACTOR=&factor_rt ,
	      CUT_OFF_SCORE=&cut_off_value ,
	      LEVEL_SK=&level_sk  ,
	      CR_MITIGANT_ADJUSTED_FLG="%sysfunc(trim(&cr_mitigant_adjusted_flg))" ,
	      CREATED_BY= "%sysfunc(trim(&created_by_user))"
	  where model_key =&m_key_sk
		;
    QUIT;


%mend csbmva_edit_model_wrapper;
